CrlID (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.ocsp

## Class CrlID

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ocsp.CrlID

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CrlID
      extends ASN1Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Integer` | `getCrlNum()`
    `ASN1GeneralizedTime` | `getCrlTime()`
    `DERIA5String` | `getCrlUrl()` Deprecated. Use `getCrlUrlIA5()` instead.
    `ASN1IA5String` | `getCrlUrlIA5()`
    `static CrlID` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static CrlID getInstance(java.lang.Object obj)

    - #### getCrlUrl

          public DERIA5String getCrlUrl()

      Deprecated. Use `getCrlUrlIA5()` instead.

    - #### getCrlUrlIA5

          public ASN1IA5String getCrlUrlIA5()

    - #### getCrlNum

          public ASN1Integer getCrlNum()

    - #### getCrlTime

          public ASN1GeneralizedTime getCrlTime()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

           CrlID ::= SEQUENCE {
               crlUrl               [0]     EXPLICIT IA5String OPTIONAL,
               crlNum               [1]     EXPLICIT INTEGER OPTIONAL,
               crlTime              [2]     EXPLICIT GeneralizedTime OPTIONAL }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.